# ``igraph`.`summary``

module documentation
(source)

Summary representation of a graph.

Class | `FakeWrapper` | Object whose interface is compatible with `textwrap.TextWrapper` but does no wrapping.
Class | `GraphSummary` | Summary representation of a graph.
Function | `summary` | Prints a summary of object o to a given stream
Function | `_get_wrapper_for_width` | Returns a text wrapper that wraps text for the given width.

def summary(obj, stream=None, *args, **kwds): (source)

Prints a summary of object o to a given stream

Positional and keyword arguments not explicitly mentioned here are passed on to the underlying `summary()` method of the object if it has any.

Parameters
obj | the object about which a human-readable summary is requested.
stream | the stream to be used. If `None`, the standard output will be used.
*args | Undocumented
**kwds | Undocumented

def _get_wrapper_for_width(width, *args, **kwds): (source)

Returns a text wrapper that wraps text for the given width.

Parameters
width | the maximal width of each line that the text wrapper produces. `None` means that no wrapping will be performed.
*args | Undocumented
**kwds | Undocumented